# lib/rpmchecksig.c File Reference

Verify the signature of a package. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "rpmlead.h"`
`#include "signature.h"`
`#include "misc.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | manageFile (FD_t *fdp, const char **fnp, int flags, int rc)
int | copyFile (FD_t *sfdp, const char **sfnp, FD_t *tfdp, const char **tfnp)
int | rpmReSign (rpmResignFlags flags, char *passPhrase, const char **argv)
int | rpmCheckSig (rpmCheckSigFlags flags, const char **argv)

## Detailed Description

Verify the signature of a package.

Definition in file rpmchecksig.c.

## Function Documentation

int copyFile | ( | FD_t * | sfdp,
|  | const char ** | sfnp,
|  | FD_t * | tfdp,
|  | const char ** | tfnp
| ) | `[static]`

| Definition at line 72 of file rpmchecksig.c. References _, FD_t, Fread(), Fstrerror(), Fwrite(), manageFile(), RPMERR_FREAD, RPMERR_FWRITE, and rpmError. Referenced by rpmCheckSig(), and rpmReSign().

int manageFile | ( | FD_t * | fdp,
|  | const char ** | fnp,
|  | int | flags,
|  | int | rc
| ) | `[static]`

| Definition at line 18 of file rpmchecksig.c. References _, Fclose(), FD_t, fdFree, fdLink, Ferror(), Fopen(), Fstrerror(), makeTempFile(), RPMERR_MAKETEMP, RPMERR_OPEN, and rpmError. Referenced by copyFile(), rpmCheckSig(), and rpmReSign().